Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.plugins
Interface Plugin

All Known Implementing Classes:
  Generic, Impact, Include, Java, Javac, ModelSim, XFlow

    public interface Plugin

An abstract interface for a general plugin. Common plugins include file include, and output language compiler invocations.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Method Summary
`void` | `finish(Command command)` Finish all of the tasks this plugin wishes to perform.
`void` | `invokeBackEnd(Instance instance, java.lang.String argument, Log errorLog, java.lang.String language)` Invoke this plugin for the specific instance given.
`void` | `invokeFrontEnd(Instance instance, java.lang.String argument, Log errorLog)` Invoke this plugin for the specific instance given.
`void` | `load(java.lang.String config)` Load this plugin and start it working.

Method Detail

### load

    void load(java.lang.String config)

  Load this plugin and start it working. This method is mostly responsible for givng the plugin access to the command which will be invoking it, and an error list for reporting later problems.

  Parameters:
    `config` - A string copied from the RDLC XML config file.

### invokeFrontEnd

    void invokeFrontEnd(Instance instance,
                        java.lang.String argument,
                        Log errorLog)

  Invoke this plugin for the specific instance given. This may perform some generic operation, or it may perform an instance specific task such as assembling unit instances. This method should not attempt to create output files. This method may add instances, assemble them, change attributes etc.

  Parameters:
    `instance` - The RDL instance in which a plugin invocation was specified.
    `argument` - The argument given for this invocation in the source RDL.
    `errorLog` - Log of errors to be reported to the user.

### invokeBackEnd

    void invokeBackEnd(Instance instance,
                       java.lang.String argument,
                       Log errorLog,
                       java.lang.String language)

  Invoke this plugin for the specific instance given. This may perform some generic operation, or it may perform an instance specific task such as assembling unit instances. This method should not attempt to create output files. However it may schedule the creation of a unit implementation for execution during `finish()`.

  Parameters:
    `instance` - The RDL instance in which a plugin invocation was specified.
    `argument` - The argument given for this invocation in the source RDL.
    `errorLog` - Log of errors to be reported to the user.
    `language` - The name of the output language being generated.

### finish

    void finish(Command command)

  Finish all of the tasks this plugin wishes to perform. The plugin should close all open files and shut down any spawned processes in preparation for finishing the RDLC compile task. This is also where compilers, synthesis, PAR and other back end tools will be invoked.

  Parameters:
    `command` - The command which will be invoking this plugin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD